org.apache.calcite.avatica.proto

## Class Common.Signature.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Common.Signature.Builder>
      - - org.apache.calcite.avatica.proto.Common.Signature.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, Common.SignatureOrBuilder

Enclosing class:
  Common.Signature

    public static final class Common.Signature.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Common.Signature.Builder>
    implements Common.SignatureOrBuilder

     Results of preparing a statement

Protobuf type `Signature`

### Field Summary

Fields
`private int` `bitField0_`
`private List<Common.ColumnMetaData>` `columns_`
`private com.google.protobuf.RepeatedFieldBuilderV3<Common.ColumnMetaData,Common.ColumnMetaData.Builder,Common.ColumnMetaDataOrBuilder>` `columnsBuilder_`
`private Common.CursorFactory` `cursorFactory_`
`private com.google.protobuf.SingleFieldBuilderV3<Common.CursorFactory,Common.CursorFactory.Builder,Common.CursorFactoryOrBuilder>` `cursorFactoryBuilder_`
`private List<Common.AvaticaParameter>` `parameters_`
`private com.google.protobuf.RepeatedFieldBuilderV3<Common.AvaticaParameter,Common.AvaticaParameter.Builder,Common.AvaticaParameterOrBuilder>` `parametersBuilder_`
`private Object` `sql_`
`private int` `statementType_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Common.Signature.Builder` `addAllColumns(Iterable<? extends Common.ColumnMetaData> values)` `repeated .ColumnMetaData columns = 1;`
`Common.Signature.Builder` `addAllParameters(Iterable<? extends Common.AvaticaParameter> values)` `repeated .AvaticaParameter parameters = 3;`
`Common.Signature.Builder` `addColumns(Common.ColumnMetaData.Builder builderForValue)` `repeated .ColumnMetaData columns = 1;`
`Common.Signature.Builder` `addColumns(Common.ColumnMetaData value)` `repeated .ColumnMetaData columns = 1;`
`Common.Signature.Builder` `addColumns(int index, Common.ColumnMetaData.Builder builderForValue)` `repeated .ColumnMetaData columns = 1;`
`Common.Signature.Builder` `addColumns(int index, Common.ColumnMetaData value)` `repeated .ColumnMetaData columns = 1;`
`Common.ColumnMetaData.Builder` `addColumnsBuilder()` `repeated .ColumnMetaData columns = 1;`
`Common.ColumnMetaData.Builder` `addColumnsBuilder(int index)` `repeated .ColumnMetaData columns = 1;`
`Common.Signature.Builder` `addParameters(Common.AvaticaParameter.Builder builderForValue)` `repeated .AvaticaParameter parameters = 3;`
`Common.Signature.Builder` `addParameters(Common.AvaticaParameter value)` `repeated .AvaticaParameter parameters = 3;`
`Common.Signature.Builder` `addParameters(int index, Common.AvaticaParameter.Builder builderForValue)` `repeated .AvaticaParameter parameters = 3;`
`Common.Signature.Builder` `addParameters(int index, Common.AvaticaParameter value)` `repeated .AvaticaParameter parameters = 3;`
`Common.AvaticaParameter.Builder` `addParametersBuilder()` `repeated .AvaticaParameter parameters = 3;`
`Common.AvaticaParameter.Builder` `addParametersBuilder(int index)` `repeated .AvaticaParameter parameters = 3;`
`Common.Signature.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Common.Signature` `build()`
`Common.Signature` `buildPartial()`
`Common.Signature.Builder` `clear()`
`Common.Signature.Builder` `clearColumns()` `repeated .ColumnMetaData columns = 1;`
`Common.Signature.Builder` `clearCursorFactory()` `.CursorFactory cursor_factory = 4;`
`Common.Signature.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Common.Signature.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Common.Signature.Builder` `clearParameters()` `repeated .AvaticaParameter parameters = 3;`
`Common.Signature.Builder` `clearSql()` `string sql = 2;`
`Common.Signature.Builder` `clearStatementType()` `.StatementType statementType = 5;`
`Common.Signature.Builder` `clone()`
`private void` `ensureColumnsIsMutable()`
`private void` `ensureParametersIsMutable()`
`Common.ColumnMetaData` `getColumns(int index)` `repeated .ColumnMetaData columns = 1;`
`Common.ColumnMetaData.Builder` `getColumnsBuilder(int index)` `repeated .ColumnMetaData columns = 1;`
`List<Common.ColumnMetaData.Builder>` `getColumnsBuilderList()` `repeated .ColumnMetaData columns = 1;`
`int` `getColumnsCount()` `repeated .ColumnMetaData columns = 1;`
`private com.google.protobuf.RepeatedFieldBuilderV3<Common.ColumnMetaData,Common.ColumnMetaData.Builder,Common.ColumnMetaDataOrBuilder>` `getColumnsFieldBuilder()`
`List<Common.ColumnMetaData>` `getColumnsList()` `repeated .ColumnMetaData columns = 1;`
`Common.ColumnMetaDataOrBuilder` `getColumnsOrBuilder(int index)` `repeated .ColumnMetaData columns = 1;`
`List<? extends Common.ColumnMetaDataOrBuilder>` `getColumnsOrBuilderList()` `repeated .ColumnMetaData columns = 1;`
`Common.CursorFactory` `getCursorFactory()` `.CursorFactory cursor_factory = 4;`
`Common.CursorFactory.Builder` `getCursorFactoryBuilder()` `.CursorFactory cursor_factory = 4;`
`private com.google.protobuf.SingleFieldBuilderV3<Common.CursorFactory,Common.CursorFactory.Builder,Common.CursorFactoryOrBuilder>` `getCursorFactoryFieldBuilder()` `.CursorFactory cursor_factory = 4;`
`Common.CursorFactoryOrBuilder` `getCursorFactoryOrBuilder()` `.CursorFactory cursor_factory = 4;`
`Common.Signature` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`Common.AvaticaParameter` `getParameters(int index)` `repeated .AvaticaParameter parameters = 3;`
`Common.AvaticaParameter.Builder` `getParametersBuilder(int index)` `repeated .AvaticaParameter parameters = 3;`
`List<Common.AvaticaParameter.Builder>` `getParametersBuilderList()` `repeated .AvaticaParameter parameters = 3;`
`int` `getParametersCount()` `repeated .AvaticaParameter parameters = 3;`
`private com.google.protobuf.RepeatedFieldBuilderV3<Common.AvaticaParameter,Common.AvaticaParameter.Builder,Common.AvaticaParameterOrBuilder>` `getParametersFieldBuilder()`
`List<Common.AvaticaParameter>` `getParametersList()` `repeated .AvaticaParameter parameters = 3;`
`Common.AvaticaParameterOrBuilder` `getParametersOrBuilder(int index)` `repeated .AvaticaParameter parameters = 3;`
`List<? extends Common.AvaticaParameterOrBuilder>` `getParametersOrBuilderList()` `repeated .AvaticaParameter parameters = 3;`
`String` `getSql()` `string sql = 2;`
`com.google.protobuf.ByteString` `getSqlBytes()` `string sql = 2;`
`Common.StatementType` `getStatementType()` `.StatementType statementType = 5;`
`int` `getStatementTypeValue()` `.StatementType statementType = 5;`
`boolean` `hasCursorFactory()` `.CursorFactory cursor_factory = 4;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Common.Signature.Builder` `mergeCursorFactory(Common.CursorFactory value)` `.CursorFactory cursor_factory = 4;`
`Common.Signature.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Common.Signature.Builder` `mergeFrom(Common.Signature other)`
`Common.Signature.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Common.Signature.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Common.Signature.Builder` `removeColumns(int index)` `repeated .ColumnMetaData columns = 1;`
`Common.Signature.Builder` `removeParameters(int index)` `repeated .AvaticaParameter parameters = 3;`
`Common.Signature.Builder` `setColumns(int index, Common.ColumnMetaData.Builder builderForValue)` `repeated .ColumnMetaData columns = 1;`
`Common.Signature.Builder` `setColumns(int index, Common.ColumnMetaData value)` `repeated .ColumnMetaData columns = 1;`
`Common.Signature.Builder` `setCursorFactory(Common.CursorFactory.Builder builderForValue)` `.CursorFactory cursor_factory = 4;`
`Common.Signature.Builder` `setCursorFactory(Common.CursorFactory value)` `.CursorFactory cursor_factory = 4;`
`Common.Signature.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Common.Signature.Builder` `setParameters(int index, Common.AvaticaParameter.Builder builderForValue)` `repeated .AvaticaParameter parameters = 3;`
`Common.Signature.Builder` `setParameters(int index, Common.AvaticaParameter value)` `repeated .AvaticaParameter parameters = 3;`
`Common.Signature.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Common.Signature.Builder` `setSql(String value)` `string sql = 2;`
`Common.Signature.Builder` `setSqlBytes(com.google.protobuf.ByteString value)` `string sql = 2;`
`Common.Signature.Builder` `setStatementType(Common.StatementType value)` `.StatementType statementType = 5;`
`Common.Signature.Builder` `setStatementTypeValue(int value)` `.StatementType statementType = 5;`
`Common.Signature.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Field Detail

#### bitField0_

    private int bitField0_

#### columns_

    private List<Common.ColumnMetaData> columns_

#### columnsBuilder_

    private com.google.protobuf.RepeatedFieldBuilderV3<Common.ColumnMetaData,Common.ColumnMetaData.Builder,Common.ColumnMetaDataOrBuilder> columnsBuilder_

#### sql_

    private Object sql_

#### parameters_

    private List<Common.AvaticaParameter> parameters_

#### parametersBuilder_

    private com.google.protobuf.RepeatedFieldBuilderV3<Common.AvaticaParameter,Common.AvaticaParameter.Builder,Common.AvaticaParameterOrBuilder> parametersBuilder_

#### cursorFactory_

    private Common.CursorFactory cursorFactory_

#### cursorFactoryBuilder_

    private com.google.protobuf.SingleFieldBuilderV3<Common.CursorFactory,Common.CursorFactory.Builder,Common.CursorFactoryOrBuilder> cursorFactoryBuilder_

#### statementType_

    private int statementType_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Signature.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Common.Signature.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Signature.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Signature.Builder>`

#### getDefaultInstanceForType

    public Common.Signature getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Common.Signature build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Common.Signature buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Common.Signature.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Signature.Builder>`

#### setField

    public Common.Signature.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                             Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Signature.Builder>`

#### clearField

    public Common.Signature.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Signature.Builder>`

#### clearOneof

    public Common.Signature.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Signature.Builder>`

#### setRepeatedField

    public Common.Signature.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                     int index,
                                                     Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Signature.Builder>`

#### addRepeatedField

    public Common.Signature.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                     Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Signature.Builder>`

#### mergeFrom

    public Common.Signature.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.Signature.Builder>`

#### mergeFrom

    public Common.Signature.Builder mergeFrom(Common.Signature other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Signature.Builder>`

#### mergeFrom

    public Common.Signature.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                       throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.Signature.Builder>`
Throws:
  `IOException`

#### ensureColumnsIsMutable

    private void ensureColumnsIsMutable()

#### getColumnsList

    public List<Common.ColumnMetaData> getColumnsList()

`repeated .ColumnMetaData columns = 1;`

Specified by:
  `getColumnsList` in interface `Common.SignatureOrBuilder`

#### getColumnsCount

    public int getColumnsCount()

`repeated .ColumnMetaData columns = 1;`

Specified by:
  `getColumnsCount` in interface `Common.SignatureOrBuilder`

#### getColumns

    public Common.ColumnMetaData getColumns(int index)

`repeated .ColumnMetaData columns = 1;`

Specified by:
  `getColumns` in interface `Common.SignatureOrBuilder`

#### setColumns

    public Common.Signature.Builder setColumns(int index,
                                               Common.ColumnMetaData value)

`repeated .ColumnMetaData columns = 1;`

#### setColumns

    public Common.Signature.Builder setColumns(int index,
                                               Common.ColumnMetaData.Builder builderForValue)

`repeated .ColumnMetaData columns = 1;`

#### addColumns

    public Common.Signature.Builder addColumns(Common.ColumnMetaData value)

`repeated .ColumnMetaData columns = 1;`

#### addColumns

    public Common.Signature.Builder addColumns(int index,
                                               Common.ColumnMetaData value)

`repeated .ColumnMetaData columns = 1;`

#### addColumns

    public Common.Signature.Builder addColumns(Common.ColumnMetaData.Builder builderForValue)

`repeated .ColumnMetaData columns = 1;`

#### addColumns

    public Common.Signature.Builder addColumns(int index,
                                               Common.ColumnMetaData.Builder builderForValue)

`repeated .ColumnMetaData columns = 1;`

#### addAllColumns

    public Common.Signature.Builder addAllColumns(Iterable<? extends Common.ColumnMetaData> values)

`repeated .ColumnMetaData columns = 1;`

#### clearColumns

    public Common.Signature.Builder clearColumns()

`repeated .ColumnMetaData columns = 1;`

#### removeColumns

    public Common.Signature.Builder removeColumns(int index)

`repeated .ColumnMetaData columns = 1;`

#### getColumnsBuilder

    public Common.ColumnMetaData.Builder getColumnsBuilder(int index)

`repeated .ColumnMetaData columns = 1;`

#### getColumnsOrBuilder

    public Common.ColumnMetaDataOrBuilder getColumnsOrBuilder(int index)

`repeated .ColumnMetaData columns = 1;`

Specified by:
  `getColumnsOrBuilder` in interface `Common.SignatureOrBuilder`

#### getColumnsOrBuilderList

    public List<? extends Common.ColumnMetaDataOrBuilder> getColumnsOrBuilderList()

`repeated .ColumnMetaData columns = 1;`

Specified by:
  `getColumnsOrBuilderList` in interface `Common.SignatureOrBuilder`

#### addColumnsBuilder

    public Common.ColumnMetaData.Builder addColumnsBuilder()

`repeated .ColumnMetaData columns = 1;`

#### addColumnsBuilder

    public Common.ColumnMetaData.Builder addColumnsBuilder(int index)

`repeated .ColumnMetaData columns = 1;`

#### getColumnsBuilderList

    public List<Common.ColumnMetaData.Builder> getColumnsBuilderList()

`repeated .ColumnMetaData columns = 1;`

#### getColumnsFieldBuilder

    private com.google.protobuf.RepeatedFieldBuilderV3<Common.ColumnMetaData,Common.ColumnMetaData.Builder,Common.ColumnMetaDataOrBuilder> getColumnsFieldBuilder()

#### getSql

    public String getSql()

`string sql = 2;`

Specified by:
  `getSql` in interface `Common.SignatureOrBuilder`

#### getSqlBytes

    public com.google.protobuf.ByteString getSqlBytes()

`string sql = 2;`

Specified by:
  `getSqlBytes` in interface `Common.SignatureOrBuilder`

#### setSql

    public Common.Signature.Builder setSql(String value)

`string sql = 2;`

#### clearSql

    public Common.Signature.Builder clearSql()

`string sql = 2;`

#### setSqlBytes

    public Common.Signature.Builder setSqlBytes(com.google.protobuf.ByteString value)

`string sql = 2;`

#### ensureParametersIsMutable

    private void ensureParametersIsMutable()

#### getParametersList

    public List<Common.AvaticaParameter> getParametersList()

`repeated .AvaticaParameter parameters = 3;`

Specified by:
  `getParametersList` in interface `Common.SignatureOrBuilder`

#### getParametersCount

    public int getParametersCount()

`repeated .AvaticaParameter parameters = 3;`

Specified by:
  `getParametersCount` in interface `Common.SignatureOrBuilder`

#### getParameters

    public Common.AvaticaParameter getParameters(int index)

`repeated .AvaticaParameter parameters = 3;`

Specified by:
  `getParameters` in interface `Common.SignatureOrBuilder`

#### setParameters

    public Common.Signature.Builder setParameters(int index,
                                                  Common.AvaticaParameter value)

`repeated .AvaticaParameter parameters = 3;`

#### setParameters

    public Common.Signature.Builder setParameters(int index,
                                                  Common.AvaticaParameter.Builder builderForValue)

`repeated .AvaticaParameter parameters = 3;`

#### addParameters

    public Common.Signature.Builder addParameters(Common.AvaticaParameter value)

`repeated .AvaticaParameter parameters = 3;`

#### addParameters

    public Common.Signature.Builder addParameters(int index,
                                                  Common.AvaticaParameter value)

`repeated .AvaticaParameter parameters = 3;`

#### addParameters

    public Common.Signature.Builder addParameters(Common.AvaticaParameter.Builder builderForValue)

`repeated .AvaticaParameter parameters = 3;`

#### addParameters

    public Common.Signature.Builder addParameters(int index,
                                                  Common.AvaticaParameter.Builder builderForValue)

`repeated .AvaticaParameter parameters = 3;`

#### addAllParameters

    public Common.Signature.Builder addAllParameters(Iterable<? extends Common.AvaticaParameter> values)

`repeated .AvaticaParameter parameters = 3;`

#### clearParameters

    public Common.Signature.Builder clearParameters()

`repeated .AvaticaParameter parameters = 3;`

#### removeParameters

    public Common.Signature.Builder removeParameters(int index)

`repeated .AvaticaParameter parameters = 3;`

#### getParametersBuilder

    public Common.AvaticaParameter.Builder getParametersBuilder(int index)

`repeated .AvaticaParameter parameters = 3;`

#### getParametersOrBuilder

    public Common.AvaticaParameterOrBuilder getParametersOrBuilder(int index)

`repeated .AvaticaParameter parameters = 3;`

Specified by:
  `getParametersOrBuilder` in interface `Common.SignatureOrBuilder`

#### getParametersOrBuilderList

    public List<? extends Common.AvaticaParameterOrBuilder> getParametersOrBuilderList()

`repeated .AvaticaParameter parameters = 3;`

Specified by:
  `getParametersOrBuilderList` in interface `Common.SignatureOrBuilder`

#### addParametersBuilder

    public Common.AvaticaParameter.Builder addParametersBuilder()

`repeated .AvaticaParameter parameters = 3;`

#### addParametersBuilder

    public Common.AvaticaParameter.Builder addParametersBuilder(int index)

`repeated .AvaticaParameter parameters = 3;`

#### getParametersBuilderList

    public List<Common.AvaticaParameter.Builder> getParametersBuilderList()

`repeated .AvaticaParameter parameters = 3;`

#### getParametersFieldBuilder

    private com.google.protobuf.RepeatedFieldBuilderV3<Common.AvaticaParameter,Common.AvaticaParameter.Builder,Common.AvaticaParameterOrBuilder> getParametersFieldBuilder()

#### hasCursorFactory

    public boolean hasCursorFactory()

`.CursorFactory cursor_factory = 4;`

Specified by:
  `hasCursorFactory` in interface `Common.SignatureOrBuilder`

#### getCursorFactory

    public Common.CursorFactory getCursorFactory()

`.CursorFactory cursor_factory = 4;`

Specified by:
  `getCursorFactory` in interface `Common.SignatureOrBuilder`

#### setCursorFactory

    public Common.Signature.Builder setCursorFactory(Common.CursorFactory value)

`.CursorFactory cursor_factory = 4;`

#### setCursorFactory

    public Common.Signature.Builder setCursorFactory(Common.CursorFactory.Builder builderForValue)

`.CursorFactory cursor_factory = 4;`

#### mergeCursorFactory

    public Common.Signature.Builder mergeCursorFactory(Common.CursorFactory value)

`.CursorFactory cursor_factory = 4;`

#### clearCursorFactory

    public Common.Signature.Builder clearCursorFactory()

`.CursorFactory cursor_factory = 4;`

#### getCursorFactoryBuilder

    public Common.CursorFactory.Builder getCursorFactoryBuilder()

`.CursorFactory cursor_factory = 4;`

#### getCursorFactoryOrBuilder

    public Common.CursorFactoryOrBuilder getCursorFactoryOrBuilder()

`.CursorFactory cursor_factory = 4;`

Specified by:
  `getCursorFactoryOrBuilder` in interface `Common.SignatureOrBuilder`

#### getCursorFactoryFieldBuilder

    private com.google.protobuf.SingleFieldBuilderV3<Common.CursorFactory,Common.CursorFactory.Builder,Common.CursorFactoryOrBuilder> getCursorFactoryFieldBuilder()

`.CursorFactory cursor_factory = 4;`

#### getStatementTypeValue

    public int getStatementTypeValue()

`.StatementType statementType = 5;`

Specified by:
  `getStatementTypeValue` in interface `Common.SignatureOrBuilder`

#### setStatementTypeValue

    public Common.Signature.Builder setStatementTypeValue(int value)

`.StatementType statementType = 5;`

#### getStatementType

    public Common.StatementType getStatementType()

`.StatementType statementType = 5;`

Specified by:
  `getStatementType` in interface `Common.SignatureOrBuilder`

#### setStatementType

    public Common.Signature.Builder setStatementType(Common.StatementType value)

`.StatementType statementType = 5;`

#### clearStatementType

    public Common.Signature.Builder clearStatementType()

`.StatementType statementType = 5;`

#### setUnknownFields

    public final Common.Signature.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Signature.Builder>`

#### mergeUnknownFields

    public final Common.Signature.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Signature.Builder>`